<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>string_to_value &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>string_to_value
   <small>Interface</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 0.0% of total for procedures.</p>Including implementation: 79 statements,  0.4% of total for procedures.">3 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">string_to_value</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
      
<div id="sidebar">
  
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-0">Module Procedures</a></h3></div>
  <div id="modprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2d">a2d</a>
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2r">a2r</a>
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2i">a2i</a>
      
    </div>
  </div>
</div>




</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>public interface string_to_value</h2>
   
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~string_to_value~~CallsGraph Pages: 1 -->
<svg id="interfacestring_to_valueCallsGraph" width="641pt" height="148pt"
 viewBox="0.00 0.00 641.00 148.07" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~string_to_value~~CallsGraph" class="graph" transform="scale(.9371 .9371) rotate(0) translate(4 154)">
<title>interface~~string_to_value~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 680,-154 680,4 -4,4"/>
<!-- interface~string_to_value -->
<g id="interface~~string_to_value~~CallsGraph_node1" class="node">
<title>interface~string_to_value</title>
<polygon fill="none" stroke="#000000" points="85,-76 0,-76 0,-52 85,-52 85,-76"/>
<text text-anchor="middle" x="42.5" y="-61.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">string_to_value</text>
</g>
<!-- proc~a2d -->
<g id="interface~~string_to_value~~CallsGraph_node2" class="node">
<title>proc~a2d</title>
<g id="a_interface~~string_to_value~~CallsGraph_node2"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="265,-92 211,-92 211,-68 265,-68 265,-92"/>
<text text-anchor="middle" x="238" y="-77.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CallsGraph_edge3" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M59.2573,-76.1331C74.502,-86.3703 98.0614,-100.2492 121,-106 144.2796,-111.8362 151.4581,-110.6669 175,-106 185.3588,-103.9465 196.1521,-100.1646 205.8178,-96.1092"/>
<polygon fill="#000000" stroke="#000000" points="207.3265,-99.2689 215.0499,-92.0164 204.4895,-92.8696 207.3265,-99.2689"/>
</g>
<!-- proc~a2i -->
<g id="interface~~string_to_value~~CallsGraph_node3" class="node">
<title>proc~a2i</title>
<g id="a_interface~~string_to_value~~CallsGraph_node3"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="175,-97 121,-97 121,-73 175,-73 175,-97"/>
<text text-anchor="middle" x="148" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="interface~~string_to_value~~CallsGraph_edge2" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M85.1068,-72.481C93.6447,-74.1805 102.5511,-75.9533 110.8851,-77.6122"/>
<polygon fill="#000000" stroke="#000000" points="110.2127,-81.0469 120.7036,-79.5666 111.5793,-74.1816 110.2127,-81.0469"/>
</g>
<!-- proc~a2r -->
<g id="interface~~string_to_value~~CallsGraph_node4" class="node">
<title>proc~a2r</title>
<g id="a_interface~~string_to_value~~CallsGraph_node4"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="175,-55 121,-55 121,-31 175,-31 175,-55"/>
<text text-anchor="middle" x="148" y="-40.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="interface~~string_to_value~~CallsGraph_edge1" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M85.1068,-55.519C93.6447,-53.8195 102.5511,-52.0467 110.8851,-50.3878"/>
<polygon fill="#000000" stroke="#000000" points="111.5793,-53.8184 120.7036,-48.4334 110.2127,-46.9531 111.5793,-53.8184"/>
</g>
<!-- proc~substitute -->
<g id="interface~~string_to_value~~CallsGraph_node5" class="node">
<title>proc~substitute</title>
<g id="a_interface~~string_to_value~~CallsGraph_node5"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="365.5,-129 307.5,-129 307.5,-105 365.5,-105 365.5,-129"/>
<text text-anchor="middle" x="336.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="interface~~string_to_value~~CallsGraph_edge4" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M265.1763,-90.2084C275.3061,-94.0135 287.0068,-98.4087 297.964,-102.5245"/>
<polygon fill="#000000" stroke="#000000" points="296.7513,-105.8078 307.3434,-106.0478 299.2129,-99.2548 296.7513,-105.8078"/>
</g>
<!-- proc~decodebase -->
<g id="interface~~string_to_value~~CallsGraph_node6" class="node">
<title>proc~decodebase</title>
<g id="a_interface~~string_to_value~~CallsGraph_node6"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="372,-35 301,-35 301,-11 372,-11 372,-35"/>
<text text-anchor="middle" x="336.5" y="-20.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="interface~~string_to_value~~CallsGraph_edge5" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M258.8893,-67.9118C272.8627,-59.8257 291.4565,-49.0658 306.9413,-40.105"/>
<polygon fill="#000000" stroke="#000000" points="308.7386,-43.1088 315.6408,-35.0708 305.2325,-37.0501 308.7386,-43.1088"/>
</g>
<!-- interface~v2s -->
<g id="interface~~string_to_value~~CallsGraph_node7" class="node">
<title>interface~v2s</title>
<g id="a_interface~~string_to_value~~CallsGraph_node7"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="363.5,-87 309.5,-87 309.5,-63 363.5,-63 363.5,-87"/>
<text text-anchor="middle" x="336.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="interface~~string_to_value~~CallsGraph_edge6" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M265.1763,-78.6205C275.727,-78.0849 287.9818,-77.4629 299.3257,-76.887"/>
<polygon fill="#000000" stroke="#000000" points="299.6027,-80.3776 309.4124,-76.375 299.2478,-73.3866 299.6027,-80.3776"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CallsGraph_edge7" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M175.003,-83.4998C183.0277,-83.054 191.9665,-82.5574 200.5309,-82.0816"/>
<polygon fill="#000000" stroke="#000000" points="200.9146,-85.5658 210.705,-81.5164 200.5262,-78.5766 200.9146,-85.5658"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CallsGraph_edge8" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M175.003,-54.1012C183.2922,-57.509 192.5569,-61.3178 201.3766,-64.9437"/>
<polygon fill="#000000" stroke="#000000" points="200.1253,-68.2135 210.705,-68.7787 202.7869,-61.7392 200.1253,-68.2135"/>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="interface~~string_to_value~~CallsGraph_edge9" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M300.7671,-17.5008C257.4816,-12.0492 182.6939,-6.5332 121,-22 102.004,-26.7623 82.5822,-37.0989 67.8093,-46.3254"/>
<polygon fill="#000000" stroke="#000000" points="65.7462,-43.4916 59.2573,-51.8669 69.5528,-49.3662 65.7462,-43.4916"/>
</g>
<!-- proc~l2s -->
<g id="interface~~string_to_value~~CallsGraph_node8" class="node">
<title>proc~l2s</title>
<g id="a_interface~~string_to_value~~CallsGraph_node8"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="462,-150 408,-150 408,-126 462,-126 462,-150"/>
<text text-anchor="middle" x="435" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="interface~~string_to_value~~CallsGraph_edge10" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M357.2625,-87.0288C362.1281,-89.9174 367.271,-93.0279 372,-96 384.2949,-103.727 397.7099,-112.6061 408.989,-120.2041"/>
<polygon fill="#000000" stroke="#000000" points="407.2716,-123.2681 417.5145,-125.9764 411.1962,-117.4717 407.2716,-123.2681"/>
</g>
<!-- proc~r2s -->
<g id="interface~~string_to_value~~CallsGraph_node9" class="node">
<title>proc~r2s</title>
<g id="a_interface~~string_to_value~~CallsGraph_node9"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="462,-108 408,-108 408,-84 462,-84 462,-108"/>
<text text-anchor="middle" x="435" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="interface~~string_to_value~~CallsGraph_edge11" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M363.6763,-80.7939C374.227,-83.0433 386.4818,-85.656 397.8257,-88.0745"/>
<polygon fill="#000000" stroke="#000000" points="397.4024,-91.5629 407.9124,-90.225 398.862,-84.7167 397.4024,-91.5629"/>
</g>
<!-- proc~i2s -->
<g id="interface~~string_to_value~~CallsGraph_node10" class="node">
<title>proc~i2s</title>
<g id="a_interface~~string_to_value~~CallsGraph_node10"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="462,-66 408,-66 408,-42 462,-42 462,-66"/>
<text text-anchor="middle" x="435" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="interface~~string_to_value~~CallsGraph_edge12" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M363.6763,-69.2061C374.227,-66.9567 386.4818,-64.344 397.8257,-61.9255"/>
<polygon fill="#000000" stroke="#000000" points="398.862,-65.2833 407.9124,-59.775 397.4024,-58.4371 398.862,-65.2833"/>
</g>
<!-- proc~d2s -->
<g id="interface~~string_to_value~~CallsGraph_node11" class="node">
<title>proc~d2s</title>
<g id="a_interface~~string_to_value~~CallsGraph_node11"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="462,-24 408,-24 408,0 462,0 462,-24"/>
<text text-anchor="middle" x="435" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="interface~~string_to_value~~CallsGraph_edge13" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M355.4918,-62.853C370.2086,-53.4402 390.8106,-40.2632 407.3555,-29.6813"/>
<polygon fill="#000000" stroke="#000000" points="409.5281,-32.4464 416.0665,-24.1097 405.7564,-26.5494 409.5281,-32.4464"/>
</g>
<!-- proc~value_to_string -->
<g id="interface~~string_to_value~~CallsGraph_node12" class="node">
<title>proc~value_to_string</title>
<g id="a_interface~~string_to_value~~CallsGraph_node12"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="583,-87 498,-87 498,-63 583,-63 583,-87"/>
<text text-anchor="middle" x="540.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="interface~~string_to_value~~CallsGraph_edge14" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M455.3415,-125.853C471.2501,-116.353 493.5794,-103.0189 511.382,-92.388"/>
<polygon fill="#000000" stroke="#000000" points="513.4298,-95.2418 520.221,-87.1097 509.8408,-89.2318 513.4298,-95.2418"/>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="interface~~string_to_value~~CallsGraph_edge15" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M462.1689,-90.592C470.0647,-89.0203 478.9694,-87.2478 487.8697,-85.4762"/>
<polygon fill="#000000" stroke="#000000" points="488.7381,-88.8721 497.8623,-83.4871 487.3714,-82.0068 488.7381,-88.8721"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="interface~~string_to_value~~CallsGraph_edge16" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M462.1689,-59.408C470.0647,-60.9797 478.9694,-62.7522 487.8697,-64.5238"/>
<polygon fill="#000000" stroke="#000000" points="487.3714,-67.9932 497.8623,-66.5129 488.7381,-61.1279 487.3714,-67.9932"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="interface~~string_to_value~~CallsGraph_edge17" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M455.3415,-24.147C471.2501,-33.647 493.5794,-46.9811 511.382,-57.612"/>
<polygon fill="#000000" stroke="#000000" points="509.8408,-60.7682 520.221,-62.8903 513.4298,-54.7582 509.8408,-60.7682"/>
</g>
<!-- proc~trimzeros -->
<g id="interface~~string_to_value~~CallsGraph_node13" class="node">
<title>proc~trimzeros</title>
<g id="a_interface~~string_to_value~~CallsGraph_node13"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="676,-87 619,-87 619,-63 676,-63 676,-87"/>
<text text-anchor="middle" x="647.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="interface~~string_to_value~~CallsGraph_edge18" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M583.0967,-75C591.538,-75 600.3576,-75 608.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="608.8491,-78.5001 618.849,-75 608.849,-71.5001 608.8491,-78.5001"/>
</g>
</g>
</svg>
</div><script>var paninterfacestring_to_valueCallsGraph = svgPanZoom('#interfacestring_to_valueCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
     <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: interface~~string_to_value~~CalledByGraph Pages: 1 -->
<svg id="interfacestring_to_valueCalledByGraph" width="507pt" height="326pt"
 viewBox="0.00 0.00 507.00 326.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="interface~~string_to_value~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 322)">
<title>interface~~string_to_value~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-322 503,-322 503,4 -4,4"/>
<!-- interface~string_to_value -->
<g id="interface~~string_to_value~~CalledByGraph_node1" class="node">
<title>interface~string_to_value</title>
<polygon fill="none" stroke="#000000" points="212,-66 127,-66 127,-42 212,-42 212,-66"/>
<text text-anchor="middle" x="169.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">string_to_value</text>
</g>
<!-- proc~a2d -->
<g id="interface~~string_to_value~~CalledByGraph_node6" class="node">
<title>proc~a2d</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node6"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="392,-108 338,-108 338,-84 392,-84 392,-108"/>
<text text-anchor="middle" x="365" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CalledByGraph_edge9" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M197.8938,-66.0249C202.8082,-68.6572 207.7107,-71.6673 212,-75 231.414,-90.0844 225.6638,-106.7268 248,-117 274.6955,-129.2782 307.8885,-121.4024 332.0935,-111.9931"/>
<polygon fill="#000000" stroke="#000000" points="333.6545,-115.1347 341.5459,-108.0653 330.9683,-108.6706 333.6545,-115.1347"/>
</g>
<!-- proc~a2i -->
<g id="interface~~string_to_value~~CalledByGraph_node8" class="node">
<title>proc~a2i</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node8"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="302,-108 248,-108 248,-84 302,-84 302,-108"/>
<text text-anchor="middle" x="275" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="interface~~string_to_value~~CalledByGraph_edge16" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M199.7321,-66.0355C211.7652,-70.826 225.7229,-76.3826 238.3267,-81.4002"/>
<polygon fill="#000000" stroke="#000000" points="237.0613,-84.6636 247.6467,-85.1105 239.6505,-78.16 237.0613,-84.6636"/>
</g>
<!-- proc~a2r -->
<g id="interface~~string_to_value~~CalledByGraph_node9" class="node">
<title>proc~a2r</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node9"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="302,-66 248,-66 248,-42 302,-42 302,-66"/>
<text text-anchor="middle" x="275" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="interface~~string_to_value~~CalledByGraph_edge17" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M212.1068,-54C220.5509,-54 229.3554,-54 237.6101,-54"/>
<polygon fill="#000000" stroke="#000000" points="237.7036,-57.5001 247.7036,-54 237.7035,-50.5001 237.7036,-57.5001"/>
</g>
<!-- proc~decodebase -->
<g id="interface~~string_to_value~~CalledByGraph_node2" class="node">
<title>proc~decodebase</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node2"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="499,-108 428,-108 428,-84 499,-84 499,-108"/>
<text text-anchor="middle" x="463.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="interface~~string_to_value~~CalledByGraph_edge1" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M440.7723,-83.9946C410.2233,-68.6024 353.7599,-42.7382 302,-33 272.8013,-27.5065 239.8014,-32.7024 214.039,-39.2986"/>
<polygon fill="#000000" stroke="#000000" points="212.919,-35.9759 204.188,-41.9776 214.7561,-42.7306 212.919,-35.9759"/>
</g>
<!-- proc~s2vs -->
<g id="interface~~string_to_value~~CalledByGraph_node3" class="node">
<title>proc~s2vs</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node3"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="72.5,-66 18.5,-66 18.5,-42 72.5,-42 72.5,-66"/>
<text text-anchor="middle" x="45.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;interface~string_to_value -->
<g id="interface~~string_to_value~~CalledByGraph_edge2" class="edge">
<title>proc~s2vs&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M72.7123,-54C85.5716,-54 101.3828,-54 116.4701,-54"/>
<polygon fill="#000000" stroke="#000000" points="116.7544,-57.5001 126.7544,-54 116.7543,-50.5001 116.7544,-57.5001"/>
</g>
<!-- proc~string_to_values -->
<g id="interface~~string_to_value~~CalledByGraph_node4" class="node">
<title>proc~string_to_values</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node4"><a xlink:href=".././proc/string_to_values.html" xlink:title="string_to_values">
<polygon fill="#d9534f" stroke="#d9534f" points="91,-24 0,-24 0,0 91,0 91,-24"/>
<text text-anchor="middle" x="45.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_values</text>
</a>
</g>
</g>
<!-- proc~string_to_values&#45;&gt;interface~string_to_value -->
<g id="interface~~string_to_value~~CalledByGraph_edge3" class="edge">
<title>proc~string_to_values&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M81.0334,-24.0355C94.5236,-28.6048 110.0718,-33.8711 124.334,-38.7019"/>
<polygon fill="#000000" stroke="#000000" points="123.3671,-42.0696 133.9614,-41.9627 125.6128,-35.4396 123.3671,-42.0696"/>
</g>
<!-- proc~base -->
<g id="interface~~string_to_value~~CalledByGraph_node5" class="node">
<title>proc~base</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node5"><a xlink:href=".././proc/base.html" xlink:title="base">
<polygon fill="#d94e8f" stroke="#d94e8f" points="392,-150 338,-150 338,-126 392,-126 392,-150"/>
<text text-anchor="middle" x="365" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">base</text>
</a>
</g>
</g>
<!-- proc~base&#45;&gt;proc~decodebase -->
<g id="interface~~string_to_value~~CalledByGraph_edge4" class="edge">
<title>proc~base&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M392.1763,-126.4121C402.4823,-122.0177 414.4143,-116.9299 425.535,-112.1881"/>
<polygon fill="#000000" stroke="#000000" points="427.2117,-115.2781 435.0376,-108.1362 424.4661,-108.839 427.2117,-115.2781"/>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="interface~~string_to_value~~CalledByGraph_edge5" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M392.1763,-96C400.1165,-96 409.0218,-96 417.7776,-96"/>
<polygon fill="#000000" stroke="#000000" points="417.9208,-99.5001 427.9207,-96 417.9207,-92.5001 417.9208,-99.5001"/>
</g>
<!-- proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node7" class="node">
<title>proc~s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node7"><a xlink:href=".././proc/s2v.html" xlink:title="s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="302,-192 248,-192 248,-168 302,-168 302,-192"/>
<text text-anchor="middle" x="275" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2v</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CalledByGraph_edge6" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M286.193,-167.9433C298.476,-154.9218 318.9826,-133.7882 338,-117 338.9516,-116.16 339.9325,-115.3138 340.9312,-114.4684"/>
<polygon fill="#000000" stroke="#000000" points="343.1928,-117.1405 348.7442,-108.1165 338.777,-111.709 343.1928,-117.1405"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CalledByGraph_edge7" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M302.003,-96C310.0277,-96 318.9665,-96 327.5309,-96"/>
<polygon fill="#000000" stroke="#000000" points="327.7051,-99.5001 337.705,-96 327.705,-92.5001 327.7051,-99.5001"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="interface~~string_to_value~~CalledByGraph_edge8" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M301.0317,-66.1481C309.987,-70.3273 320.1691,-75.0789 329.7348,-79.5429"/>
<polygon fill="#000000" stroke="#000000" points="328.4848,-82.8219 339.0268,-83.8792 331.4451,-76.4786 328.4848,-82.8219"/>
</g>
<!-- proc~dble_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node10" class="node">
<title>proc~dble_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node10"><a xlink:href=".././proc/dble_s2v.html" xlink:title="dble_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="197,-318 142,-318 142,-294 197,-294 197,-318"/>
<text text-anchor="middle" x="169.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble_s2v</text>
</a>
</g>
</g>
<!-- proc~dble_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge10" class="edge">
<title>proc~dble_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M197.0527,-295.2729C202.3746,-292.434 207.6427,-289.0159 212,-285 237.736,-261.2802 256.4261,-224.6421 266.4887,-201.5119"/>
<polygon fill="#000000" stroke="#000000" points="269.7471,-202.792 270.384,-192.2163 263.291,-200.0865 269.7471,-202.792"/>
</g>
<!-- proc~dbles_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node11" class="node">
<title>proc~dbles_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node11"><a xlink:href=".././proc/dbles_s2v.html" xlink:title="dbles_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="200,-276 139,-276 139,-252 200,-252 200,-276"/>
<text text-anchor="middle" x="169.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dbles_s2v</text>
</a>
</g>
</g>
<!-- proc~dbles_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge11" class="edge">
<title>proc~dbles_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M197.2391,-251.9349C202.3218,-249.2721 207.4522,-246.2616 212,-243 229.2792,-230.6077 246.1674,-213.358 258.1019,-200.041"/>
<polygon fill="#000000" stroke="#000000" points="260.8949,-202.1643 264.8519,-192.3362 255.6297,-197.5516 260.8949,-202.1643"/>
</g>
<!-- proc~reals_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node12" class="node">
<title>proc~reals_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node12"><a xlink:href=".././proc/reals_s2v.html" xlink:title="reals_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="198.5,-234 140.5,-234 140.5,-210 198.5,-210 198.5,-234"/>
<text text-anchor="middle" x="169.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">reals_s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge12" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M198.6076,-210.4121C210.8554,-205.5363 225.2471,-199.8068 238.217,-194.6435"/>
<polygon fill="#000000" stroke="#000000" points="239.8027,-197.7794 247.799,-190.8288 237.2136,-191.2758 239.8027,-197.7794"/>
</g>
<!-- proc~real_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node13" class="node">
<title>proc~real_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node13"><a xlink:href=".././proc/real_s2v.html" xlink:title="real_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="196.5,-192 142.5,-192 142.5,-168 196.5,-168 196.5,-192"/>
<text text-anchor="middle" x="169.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real_s2v</text>
</a>
</g>
</g>
<!-- proc~real_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge13" class="edge">
<title>proc~real_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M196.6689,-180C209.2209,-180 224.3227,-180 237.9026,-180"/>
<polygon fill="#000000" stroke="#000000" points="237.9232,-183.5001 247.9232,-180 237.9232,-176.5001 237.9232,-183.5001"/>
</g>
<!-- proc~int_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node14" class="node">
<title>proc~int_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node14"><a xlink:href=".././proc/int_s2v.html" xlink:title="int_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="196.5,-150 142.5,-150 142.5,-126 196.5,-126 196.5,-150"/>
<text text-anchor="middle" x="169.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int_s2v</text>
</a>
</g>
</g>
<!-- proc~int_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge14" class="edge">
<title>proc~int_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M196.6689,-148.816C209.344,-153.862 224.6191,-159.9431 238.3016,-165.3902"/>
<polygon fill="#000000" stroke="#000000" points="237.3378,-168.7736 247.9232,-169.2206 239.9269,-162.27 237.3378,-168.7736"/>
</g>
<!-- proc~ints_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_node15" class="node">
<title>proc~ints_s2v</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node15"><a xlink:href=".././proc/ints_s2v.html" xlink:title="ints_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="196.5,-108 142.5,-108 142.5,-84 196.5,-84 196.5,-108"/>
<text text-anchor="middle" x="169.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ints_s2v</text>
</a>
</g>
</g>
<!-- proc~ints_s2v&#45;&gt;proc~s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge15" class="edge">
<title>proc~ints_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M196.7908,-107.8311C202.0195,-110.551 207.3185,-113.6425 212,-117 221.5597,-123.8561 242.0011,-144.8066 257.0177,-160.6819"/>
<polygon fill="#000000" stroke="#000000" points="254.4826,-163.0952 263.8824,-167.9836 259.5827,-158.3004 254.4826,-163.0952"/>
</g>
<!-- interface~real~2 -->
<g id="interface~~string_to_value~~CalledByGraph_node16" class="node">
<title>interface~real~2</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node16"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-234 18.5,-234 18.5,-210 72.5,-210 72.5,-234"/>
<text text-anchor="middle" x="45.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge20" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-222C89.555,-222 111.4618,-222 130.1733,-222"/>
<polygon fill="#000000" stroke="#000000" points="130.1874,-225.5001 140.1874,-222 130.1873,-218.5001 130.1874,-225.5001"/>
</g>
<!-- interface~dble -->
<g id="interface~~string_to_value~~CalledByGraph_node17" class="node">
<title>interface~dble</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node17"><a xlink:href=".././interface/dble.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-318 18.5,-318 18.5,-294 72.5,-294 72.5,-318"/>
<text text-anchor="middle" x="45.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble&#45;&gt;proc~dble_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge18" class="edge">
<title>interface~dble&#45;&gt;proc~dble_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-306C90.0362,-306 112.7178,-306 131.7691,-306"/>
<polygon fill="#000000" stroke="#000000" points="131.9227,-309.5001 141.9226,-306 131.9226,-302.5001 131.9227,-309.5001"/>
</g>
<!-- interface~int~2 -->
<g id="interface~~string_to_value~~CalledByGraph_node18" class="node">
<title>interface~int~2</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node18"><a xlink:href=".././interface/int%7E2.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-108 18.5,-108 18.5,-84 72.5,-84 72.5,-108"/>
<text text-anchor="middle" x="45.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int~2&#45;&gt;proc~ints_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge23" class="edge">
<title>interface~int~2&#45;&gt;proc~ints_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-96C90.1566,-96 113.0331,-96 132.1655,-96"/>
<polygon fill="#000000" stroke="#000000" points="132.3512,-99.5001 142.3512,-96 132.3511,-92.5001 132.3512,-99.5001"/>
</g>
<!-- interface~real -->
<g id="interface~~string_to_value~~CalledByGraph_node19" class="node">
<title>interface~real</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node19"><a xlink:href=".././interface/real.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-192 18.5,-192 18.5,-168 72.5,-168 72.5,-192"/>
<text text-anchor="middle" x="45.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real&#45;&gt;proc~real_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge21" class="edge">
<title>interface~real&#45;&gt;proc~real_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-180C90.1566,-180 113.0331,-180 132.1655,-180"/>
<polygon fill="#000000" stroke="#000000" points="132.3512,-183.5001 142.3512,-180 132.3511,-176.5001 132.3512,-183.5001"/>
</g>
<!-- interface~dble~2 -->
<g id="interface~~string_to_value~~CalledByGraph_node20" class="node">
<title>interface~dble~2</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node20"><a xlink:href=".././interface/dble%7E2.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-276 18.5,-276 18.5,-252 72.5,-252 72.5,-276"/>
<text text-anchor="middle" x="45.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble~2&#45;&gt;proc~dbles_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge19" class="edge">
<title>interface~dble~2&#45;&gt;proc~dbles_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-264C89.1178,-264 110.3279,-264 128.7098,-264"/>
<polygon fill="#000000" stroke="#000000" points="128.8645,-267.5001 138.8645,-264 128.8644,-260.5001 128.8645,-267.5001"/>
</g>
<!-- interface~int -->
<g id="interface~~string_to_value~~CalledByGraph_node21" class="node">
<title>interface~int</title>
<g id="a_interface~~string_to_value~~CalledByGraph_node21"><a xlink:href=".././interface/int.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="72.5,-150 18.5,-150 18.5,-126 72.5,-126 72.5,-150"/>
<text text-anchor="middle" x="45.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int&#45;&gt;proc~int_s2v -->
<g id="interface~~string_to_value~~CalledByGraph_edge22" class="edge">
<title>interface~int&#45;&gt;proc~int_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M72.7123,-138C90.1566,-138 113.0331,-138 132.1655,-138"/>
<polygon fill="#000000" stroke="#000000" points="132.3512,-141.5001 142.3512,-138 132.3511,-134.5001 132.3512,-141.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

     <section class="visible-xs visible-sm hidden-md">
       
<h3>Contents</h3>
 




















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#modprocs-1">Module Procedures</a></h3></div>
  <div id="modprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2d">a2d</a>
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2r">a2r</a>
      
      <a class="list-group-item" href="../interface/string_to_value.html#moduleprocedure-a2i">a2i</a>
      
    </div>
  </div>
</div>




     </section>
     <br class="visible-xs visible-sm hidden-md">
     
  

  

  
   <h2>Module Procedures</h2>
   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-a2d"></span><h3>
private subroutine <a href='../proc/a2d.html'>a2d</a>(chars, valu, ierr)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>doubleprecision,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>valu</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-a2r"></span><h3>
private subroutine <a href='../proc/a2r.html'>a2r</a>(chars, valu, ierr)
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>Sample Program:</p><a href="../proc/a2r.html" class="pull-right"><emph>Read more&hellip;</emph></a>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>valu</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-a2i"></span><h3>
private subroutine <a href='../proc/a2i.html'>a2i</a>(chars, valu, ierr)
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>valu</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer,</td>
  <td>intent(out)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  </div>
  </div>

   
     

 </div>
</div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>